API referenceBidding Spot Entities
POST /api/BiddingEntities/Post
This endpoint will create a new Entity if the ID is null or zero, or update an existing Entity if a valid ID is provided. For creation, do not include an ID or set the ID to zero in the request body. For updating, include the existing Entity ID and the updated data in the request body.
POST
/api/BiddingEntities/Postcurl -X POST "/api/BiddingEntities/Post" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"id": 0,
"biddingZoneId": 0,
"biddingZoneName": "string",
"entityKind": 1,
"eic": "string",
"portfolioId": 0,
"portfolioName": "string",
"assetId": 0,
"moduleId": 1,
"type": 1,
"entityId": "string",
"entityName": "string",
"isPortfolio": true,
"isActive": true,
"capacity": 0,
"minCapacity": 0,
"forecastingTimeseries": [
{
"id": 0,
"name": "string"
}
],
"availabilityTimeseries": [
{
"id": 0,
"name": "string"
}
],
"rrUpCap": 0,
"rrDownCap": 0,
"marketPartyId": 0,
"marketPartyName": "string",
"marketPartyEIC": "string",
"counterpartyId": 0,
"counterpartyName": "string",
"counterpartyEIC": "string",
"countryFromName": "string",
"countryFromEIC": "string",
"countryToName": "string",
"countryToEIC": "string",
"countryFromCode": "string",
"countryToCode": "string",
"areaFromId": 0,
"areaToId": 0,
"areaFromName": "string",
"areaFromEIC": "string",
"areaToName": "string",
"areaToEIC": "string",
"coupled": true,
"submitsStepwiseOrders": true,
"submitsBlockOrders": true,
"submitsRrNominations": true,
"submitsForwardMarket": true,
"submitsResInjectionsNominations": true,
"granularityOverride": -6,
"entityHistory": [
{
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
],
"entityCapacityHistory": [
{
"validFrom": "2026-01-15T09:30:00Z",
"capacity": 0,
"minCapacity": 0
}
],
"assetConnections": [
{
"assetId": 0,
"assetName": "string",
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
],
"positionCloseAlgoConfiguration": {
"id": 0,
"entityId": 0,
"isEnabled": true,
"toleranceBand": 0,
"maxBuyPriceEurMwh": 0,
"maxBuyPriceTimeseriesId": 0,
"maxBuyPriceTimeseriesName": "string",
"minSellPriceEurMwh": 0,
"minSellPriceTimeseriesId": 0,
"minSellPriceTimeseriesName": "string",
"gateClosureBlockMinutes": 0,
"exposureThreshold": 0,
"maxOrderQuantity": 0,
"enableForecastTrigger": true,
"cancelOrdersOnDisable": true,
"lastEvaluationAt": "2026-01-15T09:30:00Z",
"lastEvaluationStatus": 1,
"lastEvaluationMessage": "string"
}
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Bidding.Models.Spot.EntityDto[] | null
Response
application/json
The created or updated Entity.
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.Spot.EntityDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"biddingZoneId": 0,
"biddingZoneName": "string",
"entityKind": 1,
"entityKindName": "string",
"eic": "string",
"portfolioId": 0,
"portfolioName": "string",
"assetId": 0,
"moduleId": 1,
"moduleName": "string",
"type": 1,
"typeName": "string",
"entityId": "string",
"entityName": "string",
"name": "string",
"isPortfolio": true,
"isActive": true,
"capacity": 0,
"minCapacity": 0,
"forecastingTimeseries": [
{
"id": 0,
"name": "string"
}
],
"availabilityTimeseries": [
{
"id": 0,
"name": "string"
}
],
"rrUpCap": 0,
"rrDownCap": 0,
"marketPartyId": 0,
"marketPartyName": "string",
"marketPartyEIC": "string",
"counterpartyId": 0,
"counterpartyName": "string",
"counterpartyEIC": "string",
"countryFromName": "string",
"countryFromEIC": "string",
"countryToName": "string",
"countryToEIC": "string",
"countryFromCode": "string",
"countryToCode": "string",
"areaFromId": 0,
"areaToId": 0,
"areaFromName": "string",
"areaFromEIC": "string",
"areaToName": "string",
"areaToEIC": "string",
"coupled": true,
"submitsStepwiseOrders": true,
"submitsBlockOrders": true,
"submitsRrNominations": true,
"submitsForwardMarket": true,
"submitsResInjectionsNominations": true,
"granularityOverride": -6,
"granularityOverrideDescription": "string",
"entityHistory": [
{
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
],
"entityCapacityHistory": [
{
"validFrom": "2026-01-15T09:30:00Z",
"capacity": 0,
"minCapacity": 0
}
],
"assetConnections": [
{
"assetId": 0,
"assetName": "string",
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
],
"positionCloseAlgoConfiguration": {
"id": 0,
"entityId": 0,
"isEnabled": true,
"toleranceBand": 0,
"maxBuyPriceEurMwh": 0,
"maxBuyPriceTimeseriesId": 0,
"maxBuyPriceTimeseriesName": "string",
"minSellPriceEurMwh": 0,
"minSellPriceTimeseriesId": 0,
"minSellPriceTimeseriesName": "string",
"gateClosureBlockMinutes": 0,
"exposureThreshold": 0,
"maxOrderQuantity": 0,
"enableForecastTrigger": true,
"cancelOrdersOnDisable": true,
"lastEvaluationAt": "2026-01-15T09:30:00Z",
"lastEvaluationStatus": 1,
"lastEvaluationStatusDescription": "string",
"lastEvaluationMessage": "string"
}
}
]
}